Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592391 - Typo in definition of python_sitearch in spec file
Typo in definition of python_sitearch in spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 14:36 EDT by Maximiliano Bertacchini
Modified: 2010-06-30 11:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: wireshark-1.2.8-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 11:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maximiliano Bertacchini 2010-05-14 14:36:18 EDT
Description of problem:
The %{python_sitearch} variable (defined in wireshark.spec:1) has an extra trailing "}" which results in its value being "/usr/lib64/python2.6/site-packages}". This leads to python files being installed in this wrong directory instead of "/usr/lib64/python2.6/site-packages".

Version-Release number of selected component (if applicable):
1.2.8-2.fc13

How reproducible:
Just install wireshark-1.2.8-2.fc13 and check where the python files were installed.

Steps to Reproduce:
1. yum install wireshark-1.2.8-2.fc13
2. rpm -ql wireshark | grep py
  
Actual results:
/usr/lib64/python2.6/site-packages}/wireshark_be.py
/usr/lib64/python2.6/site-packages}/wireshark_be.pyc
/usr/lib64/python2.6/site-packages}/wireshark_be.pyo
/usr/lib64/python2.6/site-packages}/wireshark_gen.py
/usr/lib64/python2.6/site-packages}/wireshark_gen.pyc
/usr/lib64/python2.6/site-packages}/wireshark_gen.pyo

Expected results:
No "}" in the path.

Additional info: AFAIK these python files are not needed in runtime, so this bug doesn't actually affect the execution of wireshark.
Comment 1 Fedora Update System 2010-05-17 04:46:43 EDT
wireshark-1.2.8-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wireshark-1.2.8-3.fc13
Comment 2 Radek Vokal 2010-05-17 04:47:24 EDT
Thanks for spotting it, updates are coming soon.
Comment 3 Fedora Update System 2010-05-17 15:07:07 EDT
wireshark-1.2.8-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wireshark'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wireshark-1.2.8-3.fc13
Comment 4 Fedora Update System 2010-06-30 11:19:40 EDT
wireshark-1.2.8-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.